net.minecraft.util

## Enum EnumFacing

- java.lang.Object
- - java.lang.Enum<EnumFacing>
  - - net.minecraft.util.EnumFacing

- All Implemented Interfaces:
    Serializable, Comparable<EnumFacing>

      public enum EnumFacing
      extends Enum<EnumFacing>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DOWN`
    `EAST`
    `NORTH`
    `SOUTH`
    `UP`
    `WEST`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `func_96559_d()`
    `static EnumFacing` | `getFront(int par0)` Returns the facing that represents the block in front of it.
    `int` | `getFrontOffsetX()` Returns a offset that addresses the block in front of this facing.
    `int` | `getFrontOffsetZ()` Returns a offset that addresses the block in front of this facing.
    `static EnumFacing` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EnumFacing[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DOWN

          public static final EnumFacing DOWN

    - #### UP

          public static final EnumFacing UP

    - #### NORTH

          public static final EnumFacing NORTH

    - #### SOUTH

          public static final EnumFacing SOUTH

    - #### EAST

          public static final EnumFacing EAST

    - #### WEST

          public static final EnumFacing WEST

  - ### Method Detail

    - #### values

          public static EnumFacing[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EnumFacing c : EnumFacing.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EnumFacing valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getFrontOffsetX

          public int getFrontOffsetX()

      Returns a offset that addresses the block in front of this facing.

    - #### func_96559_d

          public int func_96559_d()

    - #### getFrontOffsetZ

          public int getFrontOffsetZ()

      Returns a offset that addresses the block in front of this facing.

    - #### getFront

          public static EnumFacing getFront(int par0)

      Returns the facing that represents the block in front of it.